Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.mbeans
Interface TaxServiceClientMBean

public interface TaxServiceClientMBean
extends ServiceConfigurationMBean

The MBean that configures the client side of the tax service.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getAVSReturnListOnZipFailure()`
`java.lang.String` | `getBusinessLocationCode()`
`java.lang.String` | `getCompanyID()`
`java.lang.String` | `getCurrency()` Get the currency used for calculations
`java.lang.String` | `getOrderOriginCity()`
`java.lang.String` | `getOrderOriginCountryCode()`
`java.lang.String` | `getOrderOriginLocationCode()`
`java.lang.String` | `getOrderOriginPostalCode()`
`java.lang.String` | `getOrderOriginProvince()`
`java.lang.String` | `getSellerRegistrationNumber()`
`java.lang.String` | `getShipFromCity()`
`java.lang.String` | `getShipFromCountryCode()`
`java.lang.String` | `getShipFromLocationCode()`
`java.lang.String` | `getShipFromPostalCode()`
`java.lang.String` | `getShipFromProvince()`
`java.lang.String` | `getTaxCalculatorJNDIName()` Get the JNDI name of the Tax service
`java.lang.String` | `getTaxCalculatorWSDL()` Get the WSDL of the Tax service
`java.lang.String` | `getTaxDebug()`
`java.lang.String` | `getTaxType()`
`java.lang.String` | `getTitlePassageLocation()`
`void` | `setAVSReturnListOnZipFailure(java.lang.String taxType)`
`void` | `setBusinessLocationCode(java.lang.String businessLocationCode)`
`void` | `setCompanyID(java.lang.String companyID)`
`void` | `setCurrency(java.lang.String currency)` Set the currency used for calculations
`void` | `setOrderOriginCity(java.lang.String city)`
`void` | `setOrderOriginCountryCode(java.lang.String countryCode)`
`void` | `setOrderOriginLocationCode(java.lang.String locationCode)`
`void` | `setOrderOriginPostalCode(java.lang.String postalCode)`
`void` | `setOrderOriginProvince(java.lang.String province)`
`void` | `setSellerRegistrationNumber(java.lang.String sellerRegNumber)`
`void` | `setShipFromCity(java.lang.String city)`
`void` | `setShipFromCountryCode(java.lang.String countryCode)`
`void` | `setShipFromLocationCode(java.lang.String locationCode)`
`void` | `setShipFromPostalCode(java.lang.String postalCode)`
`void` | `setShipFromProvince(java.lang.String province)`
`void` | `setTaxCalculatorJNDIName(java.lang.String jndiName)` Set the JNDI name of the Tax service
`void` | `setTaxCalculatorWSDL(java.lang.String wsdl)` Set the WSDL of the Tax service
`void` | `setTaxDebug(java.lang.String debugString)`
`void` | `setTaxType(java.lang.String taxType)`
`void` | `setTitlePassageLocation(java.lang.String titlePassage)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setTaxCalculatorJNDIName

    public void setTaxCalculatorJNDIName(java.lang.String jndiName)

  Set the JNDI name of the Tax service

  A dynamic MBean attribute
  Old Property: tax.calculator.jndi.name

### getTaxCalculatorJNDIName

    public java.lang.String getTaxCalculatorJNDIName()

  Get the JNDI name of the Tax service

  Old Property: tax.calculator.jndi.name

### setTaxCalculatorWSDL

    public void setTaxCalculatorWSDL(java.lang.String wsdl)

  Set the WSDL of the Tax service

  A dynamic MBean attribute

### getTaxCalculatorWSDL

    public java.lang.String getTaxCalculatorWSDL()

  Get the WSDL of the Tax service

### setCurrency

    public void setCurrency(java.lang.String currency)

  Set the currency used for calculations

  Old Property: taxware.currency

### getCurrency

    public java.lang.String getCurrency()

  Get the currency used for calculations

  Old Property: taxware.currency

### setShipFromProvince

    public void setShipFromProvince(java.lang.String province)

### getShipFromProvince

    public java.lang.String getShipFromProvince()

### setShipFromCity

    public void setShipFromCity(java.lang.String city)

### getShipFromCity

    public java.lang.String getShipFromCity()

### setShipFromPostalCode

    public void setShipFromPostalCode(java.lang.String postalCode)

### getShipFromPostalCode

    public java.lang.String getShipFromPostalCode()

### setShipFromLocationCode

    public void setShipFromLocationCode(java.lang.String locationCode)

### getShipFromLocationCode

    public java.lang.String getShipFromLocationCode()

### setShipFromCountryCode

    public void setShipFromCountryCode(java.lang.String countryCode)

### getShipFromCountryCode

    public java.lang.String getShipFromCountryCode()

### setOrderOriginProvince

    public void setOrderOriginProvince(java.lang.String province)

### getOrderOriginProvince

    public java.lang.String getOrderOriginProvince()

### setOrderOriginCity

    public void setOrderOriginCity(java.lang.String city)

### getOrderOriginCity

    public java.lang.String getOrderOriginCity()

### setOrderOriginPostalCode

    public void setOrderOriginPostalCode(java.lang.String postalCode)

### getOrderOriginPostalCode

    public java.lang.String getOrderOriginPostalCode()

### setOrderOriginLocationCode

    public void setOrderOriginLocationCode(java.lang.String locationCode)

### getOrderOriginLocationCode

    public java.lang.String getOrderOriginLocationCode()

### setOrderOriginCountryCode

    public void setOrderOriginCountryCode(java.lang.String countryCode)

### getOrderOriginCountryCode

    public java.lang.String getOrderOriginCountryCode()

### setTitlePassageLocation

    public void setTitlePassageLocation(java.lang.String titlePassage)

### getTitlePassageLocation

    public java.lang.String getTitlePassageLocation()

### setCompanyID

    public void setCompanyID(java.lang.String companyID)

### getCompanyID

    public java.lang.String getCompanyID()

### setBusinessLocationCode

    public void setBusinessLocationCode(java.lang.String businessLocationCode)

### getBusinessLocationCode

    public java.lang.String getBusinessLocationCode()

### setTaxType

    public void setTaxType(java.lang.String taxType)

### getTaxType

    public java.lang.String getTaxType()

### setAVSReturnListOnZipFailure

    public void setAVSReturnListOnZipFailure(java.lang.String taxType)

### getAVSReturnListOnZipFailure

    public java.lang.String getAVSReturnListOnZipFailure()

### setSellerRegistrationNumber

    public void setSellerRegistrationNumber(java.lang.String sellerRegNumber)

### getSellerRegistrationNumber

    public java.lang.String getSellerRegistrationNumber()

### setTaxDebug

    public void setTaxDebug(java.lang.String debugString)

### getTaxDebug

    public java.lang.String getTaxDebug()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved